//player1,remote controler
#include<SPI.h>
#include<nRF24L01.h>
#include<RF24.h>
#include<TimerOne.h>
RF24 radio(7,8);//端口可能要改
const int Rp=0,Rr=1,interval=20;//Rp,Rr 分别为两个遥杆的接口
long propeller=0,rudder=0,dist;//propeller为螺旋桨（0-1023，512为静止），rudder为舵（0-1023，512为静止）
long sending_signal=0;//发送的信号
const byte addresser[6]={"00001"};//创建通信通道地址，6用来写，8用来读
void setup() {
  Serial.begin(9600);
  radio.begin();
  //radio.setChannel(114);//设置信道，114号通道
  radio.openWritingPipe(addresser);
  radio.openReadingPipe(1,addresser);
  radio.setPALevel(RF24_PA_HIGH);
  Timer1.initialize(interval);
  Timer1.attachInterrupt(send);
}
void send(){
  sending_signal=0;
  radio.stopListening();
  propeller=analogRead(Rp);
  rudder=analogRead(Rr);
  if(propeller>=1000)propeller=999;
  if(rudder>=1000)rudder=999;
  sending_signal+=propeller;
  sending_signal+=rudder*1000;
  sending_signal+=1000000;
  radio.write(&sending_signal,sizeof(sending_signal));
  Serial.println(propeller);
  Serial.println(rudder);
  Serial.print("propeller sent ");
  Serial.println(propeller);
  Serial.print("rudder sent ");
  Serial.println(rudder);
  Serial.println(sending_signal);
}
void loop() {
  // put your main code here, to run repeatedly:
  
}
